<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExisteEstadoDocumentoCompra StructType
 * @subpackage Structs
 */
class ExisteEstadoDocumentoCompra extends AbstractStructBase
{
    /**
     * The idCompra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $idCompra;
    /**
     * Constructor method for ExisteEstadoDocumentoCompra
     * @uses ExisteEstadoDocumentoCompra::setIdCompra()
     * @param string $idCompra
     */
    public function __construct($idCompra = null)
    {
        $this
            ->setIdCompra($idCompra);
    }
    /**
     * Get idCompra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdCompra()
    {
        return isset($this->idCompra) ? $this->idCompra : null;
    }
    /**
     * Set idCompra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idCompra
     * @return \StructType\ExisteEstadoDocumentoCompra
     */
    public function setIdCompra($idCompra = null)
    {
        // validation for constraint: string
        if (!is_null($idCompra) && !is_string($idCompra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($idCompra)), __LINE__);
        }
        if (is_null($idCompra) || (is_array($idCompra) && empty($idCompra))) {
            unset($this->idCompra);
        } else {
            $this->idCompra = $idCompra;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ExisteEstadoDocumentoCompra
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
